package com.takensoft.sj_wmp.common.idgen.context;


import com.takensoft.sj_wmp.common.idgen.service.IdgenService;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class ContextIdgen {

    // 회원정보
    @Bean(name = "userIdgn")
    public IdgenService user() {
        IdgenService idgenServiceImpl = new IdgenService();
        idgenServiceImpl.setCipers(15);
        idgenServiceImpl.setFillChar('0');
        idgenServiceImpl.setPrefix("USID_");
        idgenServiceImpl.setTblNm("USID");
        return idgenServiceImpl;
    }

    // 위원 정보
    @Bean(name = "mfcmmIdgn")
    public IdgenService mfcmm() {
        IdgenService idgenServiceImpl = new IdgenService();
        idgenServiceImpl.setCipers(15);
        idgenServiceImpl.setFillChar('0');
        idgenServiceImpl.setPrefix("MFEMM_");
        idgenServiceImpl.setTblNm("MFEMM_ID");
        return idgenServiceImpl;
    }

    // 위원회 정보
    @Bean(name = "cmitIdgn")
    public IdgenService cmit() {
        IdgenService idgenServiceImpl = new IdgenService();
        idgenServiceImpl.setCipers(15);
        idgenServiceImpl.setFillChar('0');
        idgenServiceImpl.setPrefix("CMIT_");
        idgenServiceImpl.setTblNm("CMIT_ID");
        return idgenServiceImpl;
    }

    // 파일매니저
    @Bean(name = "fileMngIdgn")
    public IdgenService fileMng() {
        IdgenService idgenServiceImpl = new IdgenService();
        idgenServiceImpl.setCipers(15);
        idgenServiceImpl.setFillChar('0');
        idgenServiceImpl.setPrefix("FILE_MNG_");
        idgenServiceImpl.setTblNm("FILE_MANAGE_ID");
        return idgenServiceImpl;
    }



}